Skip to main content
POST
/
generation
/
google
/
veo-3.1-lite
Veo 3.1 Lite
curl --request POST \
  --url https://open.skills.video/api/v1/generation/google/veo-3.1-lite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "prompt": "<string>"
}
'
{
  "id": "<string>",
  "status": "starting",
  "usage": {
    "total": 0,
    "subscription": 0,
    "permanent": 0
  }
}
Cost-efficient Veo 3.1 with text/image/frame-to-video workflows

Authorizations

Authorization
string
header
required

API Key for API endpoints

Body

prompt
string
required

Text prompt for video generation

n
integer
default:1
Required range: 1 <= x <= 4
mode
string

Generation mode: text-image or frames

image_url
string

Input image URL for image-to-video

image_urls
string[]

Input image URLs for image-to-video

first_frame_url
string

First frame image for frames mode

last_frame_url
string

Last frame image for frames mode

resolution
enum<string>
default:720p

Resolution of the generated video

Available options:
720p,
1080p
aspect_ratio
enum<string>
default:16:9

Video aspect ratio

Available options:
16:9,
9:16
negative_prompt
string | null

Description of what to exclude from the generated video

seed
integer | null

Random seed. Omit for random generations

Required range: -9007199254740991 <= x <= 9007199254740991
auto_fix
boolean
default:true

Automatically rewrite prompts to pass moderation checks

Response

Generation status

id
string
required

Generation id.

status
enum<string>
required

Generation status

Available options:
starting,
processing,
succeeded,
failed,
canceled
usage
object
required

Credit usage breakdown for the request